# Programas
alias \
		vdi='nvim -d' \
		se='sudoedit' \
		gdl='gallery-dl' \
		m='neomutt' \
		am='alsamixer' \
		pm='pulsemixer' \
		nb='newsboat' \
		v='$EDITOR' \
		play='ncmpcpp' \
		torr='tremc' \
		py='python ' \
		x='xui' \
		yt='mpsyt' \
		z='zathura' \
		pudb='python -m pudb.run' \
		irc='weechat -d "$XDG_CONFIG_HOME"/weechat'
# XBPS
alias \
		xk='xbps-query' \
		deps='xbps-query -vRx' \
		revdeps='xbps-query -vRX' \
		xp='xbps-query -v -m > ~/doc/xbpaketes'

# Tmux
alias \
		ta='tmux attach -t' \
		tn='tmux new-session -s' \
		tk='tmux kill-session -t' \

# LaTeX
alias \
		txs='tlmgr search --global' \
		txl='tlmgr search' \
		txi='sudo tlmgr install'

# Transmission
alias \
		tsk='pkill transmission-daemon' \
		tsl='transmission-remote --list' \
		tsx='transmission-remote --remove-and-delete -t' \
		tsr='transmission-remote --remove -t' \

# Git
alias \
		git='lab' \
		gst='git status' \
		gca='git commit -a -m' \
		gu='git add -vu' \
		gc='git add --all && git commit -m' \
		gp='git push'

# Dotfiles
alias \
		hxa='hx add -v' \
		hxu='hx add -vu && hx commit -m' \
		hxp='hx push' \
		hxc='hx commit -m' \
		hxs='hx status' \
		hxl='hx log --stat' \
		hxd='hx rm -r --cached' \
		hxr='hx rm --cached'

# MAXIMUM VERBOSITY YIELDS MAXIMUM RESULTS
alias \
		chmod='chmod -v' \
		chown='chown -v' \
		mv='mv -iv' \
		rmdir='rmdir -v' \
		mkdir='mkdir -pv' \
		cp='cp -raiv' \
		rm='rm -Iv' \
		ln='ln -iv' \
		mount='mount -v' \
		umount='umount -v'

# Colores para pintar este twist
alias \
		diff='diff --color=auto' \
		cat='bat --color=always --terminal-width=-10' \
		ls='ls -AFpt --color=always --group-directories-first' \
		grep='grep --color=tty -d skip' \
		dmesg='dmesg --color=always' \
		dir='dir --color=always' \
		vsv='sudo vsv -c yes' \
		vpm='sudo vpm --color=yes'

# Con opciones por defecto
alias \
		ll='ls -coghptFAB --group-directories-first --time-style=+"%d-%m-%Y %H:%M"' \
		sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS}' \
		lsblk='lsblk -o "KNAME,HOTPLUG,SIZE,FSTYPE,TYPE,LABEL,MOUNTPOINT,UUID,MODEL,SERIAL"' \
		df='df -hT --total' \
		free='free -ht' \
		du='du -sh' \
		ping='ping -c 5' \
		dd='dd status=progress' \
		dirs='dirs -v -p' \
		dfc='dfc -dmT' \
		strim='mpv --jack-port="OBS Jack Input"'

# Comandos
alias \
		sudo='sudo ' \
		reboot='sudo reboot' \
		shutdown='sudo shutdown -h now' \
		chau='bspc quit 1' \
		path='echo -e ${PATH//:/\\n}' \
		wp='sxiv-rifle ~/img/wallpaper >/dev/null 2>&1' \
		pwn='chmod +x' \
		atl='atool --each --extract' \
		rat='tar -xvJf' \
		um='udevil mount' \
		uu='udevil umount'
